# Delete Issue Comment

DEL /{issueId}/comments/{commentId}

#### Description

Deletes a specified comment from an issue, removing its content and associated metadata from the issue’s Activity Feed.

Endpoint: DELETE /{issueId}/comments/{commentId}
Version: 1.0
Security: oauth2

## Path parameters:

  - `issueId` (string, required)
    Unique ID of the issue.

  - `commentId` (string, required)
    Unique ID of the comment

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier of the activity
    Example: "a3f89b48-9ae1-4852-a229-c4aea92230b0"

  - `orgId` (string)
    The unique identifier for the organization the activity belongs to.
    Example: "ce83e3cd-5199-11ee-a644-522476618ae8"

  - `type` (string)
    The type of the activity.
    Enum: "event", "comment"

  - `message` (string)
    The description of this event.
    Example: "This is a comment"

  - `objectId` (string)
    The unique identifier of the object related to the activity.
    Example: "16d22ded-88ac-4f5c-bc99-8064d9fc44d7"

  - `objectType` (string)
    The type of the object.
    Enum: "audit", "connection", "control", "controlScope", "domain", "freshnessHistory", "exportFile", "label", "organization", "organizationUser", "policy", "program", "proof", "request", "requirement", "risk", "riskRegister", "section", "task", "scope", "template", "user"

  - `status` (string)
    The current status of the activity.
    Enum: "active", "deleted", "pending", "canceled"

  - `createdBy` (string)
    The unique identifier of the user who created the activity.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `createdOn` (string)
    The date and time the activity was created (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the activity.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date and time the activity was last updated (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"


